NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_browsermatch(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_browsermatch - Match against the User-Agent header

## Table Of Contents

## Synopsis

- ns_browsermatch ?connId? pattern

## Description

This command returns a boolean indicating if the pattern matches the User-Agent header on the current HTTP request.

## COMMANDS

ns_browsermatch ?connId? pattern

## EXAMPLES

     % ns_browsermatch *Mozilla*
     1

## See Also

nsd

## Keywords

ns_browsertype, ns_conn headers